// @ts-check
// Cynhyrchwyd y ffeil hon yn awtomatig. PEIDIWCH Â MODIWL
// This file is automatically generated. DO NOT EDIT

export function ChooseWallet() {
  return window['go']['main']['App']['ChooseWallet']();
}

export function Close() {
  return window['go']['main']['App']['Close']();
}

export function CreateWallet(arg1) {
  return window['go']['main']['App']['CreateWallet'](arg1);
}

export function FindSigner(arg1) {
  return window['go']['main']['App']['FindSigner'](arg1);
}

export function GenerateAddress(arg1) {
  return window['go']['main']['App']['GenerateAddress'](arg1);
}

export function GenerateLedgerKey(arg1) {
  return window['go']['main']['App']['GenerateLedgerKey'](arg1);
}

export function GenerateMnemonic(arg1) {
  return window['go']['main']['App']['GenerateMnemonic'](arg1);
}

export function ImportKey(arg1) {
  return window['go']['main']['App']['ImportKey'](arg1);
}

export function ImportMnemonic(arg1) {
  return window['go']['main']['App']['ImportMnemonic'](arg1);
}

export function KeyList(arg1) {
  return window['go']['main']['App']['KeyList'](arg1);
}

export function ListAccounts(arg1) {
  return window['go']['main']['App']['ListAccounts'](arg1);
}

export function ListVaults(arg1) {
  return window['go']['main']['App']['ListVaults'](arg1);
}

export function LockVault(arg1) {
  return window['go']['main']['App']['LockVault'](arg1);
}

export function OpenVault(arg1) {
  return window['go']['main']['App']['OpenVault'](arg1);
}

export function ParseKey(arg1) {
  return window['go']['main']['App']['ParseKey'](arg1);
}

export function RegisterTokenAccount(arg1) {
  return window['go']['main']['App']['RegisterTokenAccount'](arg1);
}

export function ResolveKey(arg1) {
  return window['go']['main']['App']['ResolveKey'](arg1);
}

export function Sign(arg1, arg2) {
  return window['go']['main']['App']['Sign'](arg1, arg2);
}

export function Start(arg1) {
  return window['go']['main']['App']['Start'](arg1);
}

export function Started() {
  return window['go']['main']['App']['Started']();
}

export function Status(arg1) {
  return window['go']['main']['App']['Status'](arg1);
}

export function UnlockVault(arg1) {
  return window['go']['main']['App']['UnlockVault'](arg1);
}

export function UserHomeDir() {
  return window['go']['main']['App']['UserHomeDir']();
}
